Get all annotations
curl --request GET \
--url https://api.vantage.sh/v2/annotations \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.vantage.sh/v2/annotations"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.vantage.sh/v2/annotations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"links": {
"self": "https://api.vantage.sh/v2/annotations",
"first": "https://api.vantage.sh/v2/annotations?page=1",
"next": null,
"last": "https://api.vantage.sh/v2/annotations?page=1",
"prev": null
},
"annotations": [
{
"token": "issue_946526bd88c296c6",
"title": "Down-sized",
"report_tokens": [
"rprt_b03547330d3808a0",
"rprt_c4c97225bf1fa392"
],
"date": "2026-08-12",
"message": "Infrastructure migration"
},
{
"token": "issue_56063755b6a82997",
"title": "Persistent",
"report_tokens": [
"rprt_5649e387dc43ca2d"
],
"date": "2026-08-10",
"message": "Pricing update"
}
]
}Annotations
Get all annotations
Return all Annotations.
GET
/
annotations
Get all annotations
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Query Parameters
The page of results to return.
The number of results to return. The maximum is 5000.
Filter by Report token.
⌘I